#include <cstdio>
#include <algorithm>
using namespace std;
const int N = 2e5 + 20;
char str[N];
int main()
{
    int n, flag = 1;
    scanf("%d%s", &n, str);
    for (int i = 0; i < n; i++)
    {
        if (flag && str[i] > str[i + 1])
        {
            flag = 0;
            continue;
        }
        putchar(str[i]);
    }
    return 0;
}